#!/usr/bin/env bash

ROOT_PATH=/usr/local/u-mail

[[ -f $ROOT_PATH/umail.conf ]] && source $ROOT_PATH/umail.conf

if [[ -z ${DBUSER} ]] || [[ -z ${DBPASS} ]] || [[ -z ${DBNAME} ]]; then
	echo "Cannot find umail.conf, make sure this script is run from within the umail.conf folder."
	exit 1
fi

echo -n "Checking MySQL service... "
if [[ -z $(docker ps -qf name=umail_mariadb) ]]; then
	echo "failed"
	echo "MySQL (umail_mariadb) is not up and running, exiting..."
	exit 1
fi
echo -e "\nWorking, please wait..."
for UPDATE_TABLE in base_table.sql base_update.sql
    do
        echo "update the umail databases: ${UPDATE_TABLE}"
        docker exec -it $(docker ps -qf name=umail_mariadb) mariadb -u${DBUSER} -p${DBPASS} ${DBNAME} -e "source /update/${UPDATE_TABLE}"
      done
#echo "OK"
#read -r -p "Are you sure you want to update the umail databases ? [y/N] " response
#response=${response,,}    # tolower
#if [[ "$response" =~ ^(yes|y)$ ]]; then
#	echo -e "\nWorking, please wait..."
#	for UPDATE_TABLE in base_table.sql base_update.sql
#	    do
#	        echo "update the umail databases: ${UPDATE_TABLE}"
#	        docker exec -it $(docker ps -qf name=umail_mariadb) mariadb -u${DBUSER} -p${DBPASS} ${DBNAME} -e "source /update/${UPDATE_TABLE}"
#        done
#else
#	echo "Operation canceled."
#fi
